Apache Tomcat 7.0.42

## org.apache.tomcat.jdbc.pool
Class PoolExhaustedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.apache.tomcat.jdbc.pool.PoolExhaustedException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class PoolExhaustedException

extends SQLException

See Also:
  Serialized Form

Constructor Summary
`PoolExhaustedException()`
`PoolExhaustedException(String reason)`
`PoolExhaustedException(String reason, String SQLState)`
`PoolExhaustedException(String reason, String SQLState, int vendorCode)`
`PoolExhaustedException(String reason, String sqlState, int vendorCode, Throwable cause)`
`PoolExhaustedException(String reason, String sqlState, Throwable cause)`
`PoolExhaustedException(String reason, Throwable cause)`
`PoolExhaustedException(Throwable cause)`

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PoolExhaustedException

    public PoolExhaustedException()

### PoolExhaustedException

    public PoolExhaustedException(String reason)

### PoolExhaustedException

    public PoolExhaustedException(Throwable cause)

### PoolExhaustedException

    public PoolExhaustedException(String reason,
                                  String SQLState)

### PoolExhaustedException

    public PoolExhaustedException(String reason,
                                  Throwable cause)

### PoolExhaustedException

    public PoolExhaustedException(String reason,
                                  String SQLState,
                                  int vendorCode)

### PoolExhaustedException

    public PoolExhaustedException(String reason,
                                  String sqlState,
                                  Throwable cause)

### PoolExhaustedException

    public PoolExhaustedException(String reason,
                                  String sqlState,
                                  int vendorCode,
                                  Throwable cause)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.